## Overview
The purpose of this mod is to add some level of scaling to (what I believe are) under performing items that don't really scale with the player.
At least that's what it used to be, now I sorta just change things that I think are underwhelming or never hear anything positive about it.

Configs are provided for those that wish to tweak or disable most changes made by this mod.

## Item Changes

### Bison Steak

```
- Health increase is boosted further by level similar to Cautious Slug's health regen.
- Killing an enemy grants a health regen increase for 3 seconds (+3 per stack).
```

_While Bison Steak isn't a terrible item and is generally seen as being better than its predecessor Fresh Meat, it suffers from being weaker than alternatives in its tier (Tougher Times, Repulsion Armor and Personal Shield Generator) and also doesn't scale or have any good synergies. These two changes help keep the item relevant throughout the run and offer something its alternatives don't have._

### Topaz Brooch

```
- Gives 14 barrier on kill, instead of 15.
- Now gives additional barrier equal to 0.5%(+0.5% per stack) of the users max health.
```

_Topaz Brooch is already considered a good item, this simply makes it more usable on high health builds/characters without the need for a Forgive Me Please or excessive stacking._

### Hunter's Harpoon

```
- On kill effect lasts for 1.5(+0.75 per stack) seconds, instead of 1(+0.5 per stack) seconds.
- On kill effect also increases primary and secondary cooldown rate by +125%, fading the same as the speed boost.
```
_The buff now lasts longer to make the speed boost less jarring and because the general value of stacking felt underwhelming. The buff also increases primary and secondary skill cooldown rate as I feel the item doesn't do enough to justify being a Green._

### Infusion

```
- Increases level instead of health.
- By default a single Infusion can give up to 1 level.
- Killing Elite and Boss type enemies gives more samples to reduce the need for grinding.
- If a minion has infusions and kills an enemy it sends the samples to the owner instead if they have infusions.
- When a minion spawns and has infusions it gets the same amount of samples as the owner.
```

_With the changes I've made to the Bison Steak this is pretty redundant. This change mainly offers something Bison Steak doesn't provide. While this mostly increases health, damage and regen, some characters, skills and items scale with level so this can boost those further._

### Leeching Seed

**Buff**

```
- Gives an additional 0.5 healing regardless of proc coefficient. (Basically Withor's LeechingSeedBuff)
```

**Rework**

```
- Heals 1.5 (+1.5 per stack) when dealing damage with a DoT.
- Attacks have a 25% chance to apply a DoT called "Leech" for 5s.
- Leech does not stack.
- Anyone that attacks enemies with Leech will heal for 4% of the damage dealt.
```

_Leeching Seed is often compared to Harvester's Scythe and in most cases the latter is considered better. Both these changes are designed to give it a use case that Harvester's Scythe doesn't share._

### Lepton Daisy

```
- Releases the healing nova every 10 seconds during Holdout events, instead of being a limited amount based on the team's stack count.
- The nova heals 8% (+8% per stack) (Hyperbolic, capped at 200%) of the target's maximum health, instead of 50% of the target's maximum health.
```

_Lepton Daisy suffers from being unreliable or a dead item half the time. This buff intends to make it shine in the situations it can actually be used._

### Red Whip

```
- Slowly builds up speed after 1 second of not using combat skills.
- Otherwise behaves normally when "Out of Combat".
```

_This is an experimental change designed to broaden the uses for Red Whip and also make the speed boost less jarring when it fully activates._

### Old War Stealthkit

```
- Cooldown now stacks similar to Genesis loop. (This is a nerf.)
- Has its own unique buff called "Stealthed" instead of sharing with Bandit's Smokebomb.
- While stealthed you gain all the properties of being cloaked but are also in a constant state of being out of combat and danger.
```

_This item wasn't talked much outside of a select few synergies before Anniversary Update, and now I never hear of it. This buff is a massive change that gives it powerful synergies with a select few items and builds, it still requires you to put yourself near death to activate which keeps it in check._

### Squid Polyp

````
- Stacking now increases the lifespan of the Squid Polyp. (+3 seconds per stack)
- Stacking increases the armor of the Squid Polyp. (+10 per stack)
- The Squid Polyp's attack now applies Tar.
- Squid Polyps now have their healing disabled if they haven't been active for a while. (25-27 seconds)
````

_Squid Polyp is either an automatic scrap or specifically built around, in the latter's case you typically need to dedicate all your item choices to it. The Tar debuff is mostly for Death Mark synergy, but it's also useful for keeping enemies within range for longer. The lifespan and armor stacking bonuses give the item more value when stacking which is where I believe it suffers most. Disabling healing for Squids that have been inactive for too long is for those situations where you've hit the minion cap and you have ten Squid Polyps chilling on the other side of the map._

### War Horn

```
- Now gives +60% (+15% per stack) attack speed, instead of 70% attack speed.
- Duration lasts 6 (+2 per stack) seconds, instead of 8(+4 per stack) seconds.
```

_War Horn is pretty good for a green item but once you have full uptime further stacks don't mean much. This change makes getting extra less of a dead item._

### Aegis

```
- Excess health regen now counts towards barrier gain.
- Gives 20 (+20 per stack) armor.
```

_Aegis can be difficult to use on shorter runs but is otherwise powerful. Excess regen becoming barrier can help kick-start builds that are a bit short on healing, and the extra armor ensures it's never a dead pick up._

### Ben's Raincoat

```
- Now gives 2(+1 per stack) debuff blocks, instead of 1(+1 per stack).
- Cooldown now begins when a debuff is blocked, instead of when all stacks of the block is consumed.
- Cooldown now lasts 7 seconds, instead of 5 seconds.
```

_Ben's Raincoat's rework in 1.2.3 is more thematically fitting but unfortunately the nerfs were overkill. The biggest offender is that the cooldown only starts when all stacks of its buff is exhausted making the item potentially awkward to use and lowering its stacking value. This buff aims to fix theses two issues._

### Laser Scope

```
- Gives +5% critical strike chance on the first stack.
```

_This is to keep consistent with other crit items._

### Voidsent Flame

```
- Detonates on the user's first hit against an enemy, instead of at 100% or more health.
- Minions with Voidsent Flame will count as both theirself and their owner for the purposes of proccing the item.
- Explosion radius is now 10m (+2m per stack), instead of 12m (+2.4m per stack).
```

_The method to proc this item is unusual and very specific, this change makes it more reasonable especially in a multiplayer scenario. The blast radius was also nerfed slightly to make up for this change._

### Defense Nucleus

**Shared Changes**

```
- Alpha Construct Ally now detonate on death, dealing 450% damage in a 12m radius.
- The projectile that spawns the construct will now replace and kill excess constructs instead of spawning nothing.
- Alpha Construct Ally are now flagged as Mechanical, meaning they're affected by Spare Drone Parts and Captain's passive.
```

**Buff**

```
- Removed "Elite" requirement for kills.
- Limited to 4 Alpha Constructs at all times.
- The summoned constructs can proc the item for you if they kill an enemy.
- Stacking now increases the health and damage of the summons.
```

**Rework**

```
- Activates when using equipment.
- Summons 3 Alpha Constructs on activation.
- Gives a temporary Xi Construct projectile shield on activation.
- Stacking increases the health and damage of the summons and duration of the shield.
```

_This item has an okay effect, terrible stacking that likely gets hard capped by the ally limit and to top it off you need to kill an elite for it to even proc. This buff/rework should hopefully make the item much more exciting to find. As you may have noticed I've aimed at improving the quality of the summons rather than the quantity, this is to avoid hitting the ally cap and for late game performance._

### Titanic Knurl

**Buff**

```
- Health increase is boosted further by level.
```

_Because Bison Steak was buffed like this it only makes sense for Titanic Knurl to get the same buff._

**Rework**

```
- Every 6 seconds a Stone Fist attacks an enemy within 50 metres for 700% damage.
- Stacking increases the cooldown rate by +15% and damage by +350%.
```

_While Titanic Knurl isn't bad it's effect is boring compared to all other boss items. This rework is made to mimic the Stone Titan's Stone Fist ability, which should make it feel more like a boss item than before._

## Known Issues

- None at the moment.

## Change Log

**1.12.4**

_This update includes balance changes for the Defense Nucleus Buff. The intent is to be less spammy, reducing the difference between this and the Vanilla version._

```
Infusion:
- No longer triggers a level up when gaining levels from samples.

Lepton Daisy:
- Changed "Base Healing" default configuration. (0.08 -> 0.1)
- Changed "Stack Healing" default configuration. (0.08 -> 0.1)

Squid Polyp:
- Damage and Proc Coefficient updated to reflect Patch 1.2.4's values.

Voidsent Flame:
- Fixed for Patch 1.2.4.

Defense Nucleus Shared:
- Removed the attack speed cap for Defense Nucleus' stacking bonus.

Defense Nucleus Buff:
- Added "Cooldown" configuration, controls the cooldown for spawning constructs from kills.
- Added "Base Damage" configuration, changes the base damage of summoned constructs.
- Added "Stack Damage" configuration, changes the stack damage of summoned constructs.
- Changed "Cooldown"  default configuration. (0.25 -> 1.5)
- Changed "Base Health" default configuration. (0 -> 10)
- Changed "Stack Health" default configuration. (5 -> 10)
- Changed "Base Attack Speed" default configuration. (10 -> 6)
- Changed "Stack Attack Speed" default configuration. (10 -> 0)

Defense Nucleus Rework:
- Added "Base Damage" configuration, changes the base damage of summoned constructs.
- Added "Stack Damage" configuration, changes the stack damage of summoned constructs.
- Changed "Base Attack Speed" default configuration. (10 -> 6)
- Changed "Stack Attack Speed" default configuration. (10 -> 0)
```

**1.12.3**

_Benthic Bloom rework has been removed due to being made into a standalone item in hex3's [item mod](https://thunderstore.io/package/hex3/Hex3Mod/), special thanks to Conq for the original item concept._

```
Benthic Bloom Rework:
- Removed, see update comment.

Red Whip:
- Added changes to Red Whip.

Other:
- Added "General" configuration category.
- Added "Out of Combat Time" configuration, used as an internal reference for the mod.
- Added "Out of Danger Time" configuration, used as an internal reference for the mod.
```

**1.12.2**

```
Titanic Knurl Rework:
- Improved pickup text.

Defense Nucleus Rework:
- Changed "Summon Count" default configuration. (4 -> 3)
- Changed "Shield Base Duration" default configuration. (3s -> 3.5s)
- Changed "Shield Stack Duration" default configuration. (0.75s -> 1s)

Defense Nucleus Shared:
- More checks in place to prevent summoning over the limit.

Infusions:
- Tracker updates more accurately.
```

**1.12.1**

```
Laser Scope:
- Fixed description showing the critical strike chance being 100 times larger than what it actually was.
```

**1.12.0**

```
Lepton Daisy:
- Added changes for Lepton Daisy.

Laser Scope:
- Added changes for Laser Scope.

Hunter's Harpoon:
- Slightly improved description text.

Voidsent Flame:
- Added changes for Voidsent Flame.
```

**1.11.0**

```
Benthic Bloom:
- Added a rework for Benthic Bloom.
```

**1.10.3**

```
Infusion:
- Updated the tracker icon to better match vanilla buff icons.

Leeching Seed Rework:
- Changed "Leech Stack Duration" configuration. (2.5 -> 0)

Old War Stealthkit:
- Updated description.

Titanic Knurl Rework:
- Now prefers enemies that are roughly within its kill range rather than the weakest.
```

Older changes can be found [here](https://github.com/kking117/RoR2-kking117Mods/wiki/%5BCHANGELOG%5D-FlatItemBuff).

## Credits

* **duckduckgreyduck** - Their GreenAlienHead mod was used as reference for some IL code.
* **Risk of Thunder's R2Wiki** - Wouldn't have been able to understand the above mod without this.
* **Hopoo Games** - For leaving Bison Steak in its current state.
* **Conq** - Benthic Bloom rework concept.

## Contact

You can find me as kking117#0370 on Discord.